TLS encryption in Plesk with Postfix 2.8

Created:

2016-11-16 13:00:56 UTC

Modified:

2017-04-24 11:17:10 UTC

6

Was this article helpful?


Have more questions?

Submit a request

TLS encryption in Plesk with Postfix 2.8

Applicable to:

  • Plesk for Linux

Symptoms

Message submission is not working when using the Postfix mail server. As a result, messages cannot be sent from any client email application.

Cause

In Plesk where Postfix 2.8 is used, smtpd_tls_security_level is set to encrypt , which forces TLS encryption when communicating with the mail server.

Resolution

The issue is being worked on by our development team and will be fixed in a future update for which a new Knowledgebase article will be created. You may subscribe to new articles on Plesk products if you wish to receive notifications about their creation.

Workaround

To fix the above behavior, edit the /etc/postfix/master.cf file.

Change these lines from:

submission inet n - n - - smtpd -o smtpd_enforce_tls=yes -o smtpd_tls_security_level=encrypt -o smtpd_sasl_auth_enable=yes -o smtpd_client_restrictions=permit_sasl_authenticated,reject -o smtpd_sender_restrictions=

to

submission inet n - n - - smtpd -o smtpd_enforce_tls=yes -o smtpd_tls_security_level=may -o smtpd_sasl_auth_enable=yes -o smtpd_client_restrictions=permit_sasl_authenticated,reject -o smtpd_sender_restrictions=
Have more questions? Submit a request
Please sign in to leave a comment.